package com.ruoyi.dxp.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 脱敏规则对象 dxp_rule_desensitization
 * 
 * @author jy
 * @date 2022-12-03
 */
public class RuleDesensitization extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String ruleName;

    /** 正则表达式 */
    private String regularExpr;

    /** 替换表达式 */
    private String replaceExpr;

    /** 关联资源数 */
    @Excel(name = "关联资源数")
    private Long resourceCount;

    /** 关联数据项数 */
    @Excel(name = "关联数据项数")
    private Long itemCount;

    /** 排序：从小到大 */
    @Excel(name = "排序：从小到大")
    private Long sort;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setRuleName(String ruleName) 
    {
        this.ruleName = ruleName;
    }

    public String getRuleName() 
    {
        return ruleName;
    }
    public void setRegularExpr(String regularExpr) 
    {
        this.regularExpr = regularExpr;
    }

    public String getRegularExpr() 
    {
        return regularExpr;
    }
    public void setReplaceExpr(String replaceExpr) 
    {
        this.replaceExpr = replaceExpr;
    }

    public String getReplaceExpr() 
    {
        return replaceExpr;
    }
    public void setResourceCount(Long resourceCount) 
    {
        this.resourceCount = resourceCount;
    }

    public Long getResourceCount() 
    {
        return resourceCount;
    }
    public void setItemCount(Long itemCount) 
    {
        this.itemCount = itemCount;
    }

    public Long getItemCount() 
    {
        return itemCount;
    }
    public void setSort(Long sort) 
    {
        this.sort = sort;
    }

    public Long getSort() 
    {
        return sort;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("ruleName", getRuleName())
            .append("regularExpr", getRegularExpr())
            .append("replaceExpr", getReplaceExpr())
            .append("resourceCount", getResourceCount())
            .append("itemCount", getItemCount())
            .append("sort", getSort())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
